Loading...
Searching...
No Matches
RDKit::GaussianShape::CustomFeature Struct Reference

`#include <ShapeInput.h>`

## Public Member Functions

| CustomFeature (const unsigned int t, const RDGeom::Point3D &p, const double r, const std::vector< unsigned int > &a=std::vector< unsigned int >())

## Public Attributes

unsigned int | type
RDGeom::Point3D | pos
double | rad
std::vector< unsigned int > | atoms

## Detailed Description

Definition at line 77 of file ShapeInput.h.

## Constructor & Destructor Documentation

## CustomFeature()

RDKit::GaussianShape::CustomFeature::CustomFeature | ( | const unsigned int | t,
|  | const RDGeom::Point3D & | p,
|  | const double | r,
|  | const std::vector< unsigned int > & | a = std::vector<unsigned int>() )

inline

Definition at line 78 of file ShapeInput.h.

References atoms, pos, rad, and type.

## Member Data Documentation

## atoms

std::vector<unsigned int> RDKit::GaussianShape::CustomFeature::atoms

Definition at line 86 of file ShapeInput.h.

Referenced by CustomFeature().

## pos

RDGeom::Point3D RDKit::GaussianShape::CustomFeature::pos

Definition at line 83 of file ShapeInput.h.

Referenced by CustomFeature().

## rad

double RDKit::GaussianShape::CustomFeature::rad

Definition at line 84 of file ShapeInput.h.

Referenced by CustomFeature().

## type

unsigned int RDKit::GaussianShape::CustomFeature::type

Definition at line 82 of file ShapeInput.h.

Referenced by CustomFeature().

The documentation for this struct was generated from the following file:

- ShapeInput.h